List custom object records
client.object.list(stringentitySlug, ObjectListParams { limit, offset } query?, RequestOptionsoptions?): ObjectListResponse { data, object, totalCount }
GET/v1/objects/{entitySlug}
Returns a paginated list of records for the specified custom object type. Use offset and limit to paginate through results, and $field query parameters to filter. See List endpoints for more information about pagination and filtering.
List custom object records
import Lightfield from 'lightfield';
const client = new Lightfield({
apiKey: 'My API Key',
});
const objectListResponse = await client.object.list('entitySlug');
console.log(objectListResponse.data);{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}Returns Examples
{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}